summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-backup/bareos/files/bareos-dir.initd')
-rw-r--r--app-backup/bareos/files/bareos-dir.initd24
1 files changed, 24 insertions, 0 deletions
diff --git a/app-backup/bareos/files/bareos-dir.initd b/app-backup/bareos/files/bareos-dir.initd
new file mode 100644
index 0000000..a2986d1
--- /dev/null
+++ b/app-backup/bareos/files/bareos-dir.initd
@@ -0,0 +1,24 @@
+#!/sbin/openrc-run
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use dns bareos-fd bareos-sd
+}
+
+start_pre() {
+ checkpath --directory --owner root:bareos --mode 01775 /run/bareos
+ if [[ -e /run/bareos/bareos-dir.9101.pid && $(stat -c %U /run/bareos/bareos-dir.9101.pid) != "root" ]]; then
+ eerror "SECURITY ALERT: bareos owned pidfile found! (see #631598)"
+ exit 1
+ fi
+}
+
+start_post() {
+ ewaitfile 10 /run/bareos/bareos-dir.9101.pid
+ checkpath --file --owner root:bareos /run/bareos/bareos-dir.9101.pid
+}
+
+command="/usr/sbin/bareos-dir"
+command_args="${DIR_OPTIONS}"
+pidfile="/run/bareos/bareos-dir.9101.pid"